package com.miya.huihua.microservicebase.common;


import com.aliyun.openservices.shade.com.google.common.base.Strings;

/**
 * 返回码
 *
 * @author liwei
 * @date 18/3/6 下午4:25
 */
public enum ResultCode {
    SUCCESS("200", "SUCCESS"),
    SIGN_ERROR("C102", "签名错误"),
    INVALID_PARAMS("101", "参数不正确"),
    UNAUTHORIZED("401", "用户未登录，请登录后再操作"),
    FORBIDDEN("403", "抱歉，您没有对应的操作权限"),
    ACCESS_OVER_LIMIT("4009", "访问超限,请稍后重试");


    private String code;
    private String msg;

    ResultCode(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    public static final ResultCode find(String code) {
        if (Strings.isNullOrEmpty(code)) {
            return null;
        }
        for (ResultCode resultCode : ResultCode.values()) {
            if (resultCode.code.equals(code)) {
                return resultCode;
            }
        }
        return null;
    }

}
