package com.miya.huihua.microservicebase.data.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.List;

/**
 * @author zhouxu
 * @createTime 2020/01/17
 * 订阅消息配置
 */
@Configuration
@ConfigurationProperties("ali-ons")
@Data
public class MultiOnsProperties {

    /**
     * ONSAddr
     */
    private String onsAddr;

    /**
     * AccessKey
     */
    private String accessKey;

    /**
     * SecretKey
     */
    private String secretKey;

    /**
     * 消息默认超时时间
     */
    private long TimeoutMillis = 3000L;

    /**
     * topic 与 groupid 配置
     */
    private List<OnsProperties> onsProperties;
}
